Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class SphereNetwork<Identifier,MessageType>

    java.lang.Object
      rice.pastry.direct.NetworkSimulatorImpl<Identifier,MessageType>
          rice.pastry.direct.SphereNetwork<Identifier,MessageType>

All Implemented Interfaces:
  NetworkSimulator<Identifier,MessageType>

    public class SphereNetwork<Identifier,MessageType>

extends NetworkSimulatorImpl<Identifier,MessageType>

Sphere network topology and idealized node life. Emulates a network of nodes that are randomly placed on a sphere. Proximity is based on euclidean distance on the sphere.

Version:
  $Id: SphereNetwork.java 3926 2007-10-24 15:44:09Z jeffh $
Author:
  Y. Charlie Hu, Rongmei Zhang

Field Summary

Fields inherited from class rice.pastry.direct.NetworkSimulatorImpl
`generator, livenessProvider, random, simulator`

Constructor Summary
`SphereNetwork(Environment env)` Constructor.

Method Summary

Methods inherited from class rice.pastry.direct.NetworkSimulatorImpl
`addSimulatorListener, destroy, enqueueDelivery, generateNodeRecord, getClosest, getEnvironment, getGenericSimulator, getLivenessProvider, getNodeRecord, getTestRecord, isAlive, networkDelay, notifySimulatorListenersReceived, notifySimulatorListenersSent, proximity, registerNode, removeNode, removeSimulatorListener, setFullSpeed, setMaxSpeed, setTestRecord, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SphereNetwork

    public SphereNetwork(Environment env)

  Constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.